## org.omg.Dynamic
Class ParameterHelper

    java.lang.Object
      |
      +--org.omg.Dynamic.ParameterHelper

public class ParameterHelper
extends java.lang.Object

Helper class for : Parameter

Author:
  OpenORB Compiler

Constructor Summary
`ParameterHelper()`

Method Summary
`static Parameter` `extract(Any a)` Extract Parameter from an any
`static java.lang.String` `id()` Return the Parameter IDL ID
`static void` `insert(Any a, Parameter t)` Insert Parameter into an any
`static Parameter` `read(InputStream istream)` Read Parameter from a marshalled stream
`static TypeCode` `type()` Return the Parameter TypeCode
`static void` `write(OutputStream ostream, Parameter value)` Write Parameter into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterHelper

    public ParameterHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Parameter t)

  Insert Parameter into an any
  Parameters:
    `a` - an any
    `t` - Parameter value

### extract

    public static Parameter extract(Any a)

  Extract Parameter from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Parameter value

### type

    public static TypeCode type()

  Return the Parameter TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Parameter IDL ID
  Returns:
    an ID

### read

    public static Parameter read(InputStream istream)

  Read Parameter from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Parameter value

### write

    public static void write(OutputStream ostream,
                             Parameter value)

  Write Parameter into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Parameter value